Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGDEATH.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGDEATH.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGDEATH.m	(revision 623)
@@ -1,157 +1,144 @@
-DGDEATH	;ALB/MRL/PJR-PROCESS DECEASED PATIENTS ; 10/27/04 9:45pm
-	;;5.3;Registration;**45,84,101,149,392,545,595,568,563,725,772**;Aug 13, 1993;Build 4
-	;
-GET	N DGMTI,DATA
-	S DGDTHEN="" W !! S DIC="^DPT(",DIC(0)="AEQMZ" D ^DIC G Q:Y'>0 S (DA,DFN)=+Y
-	S DGDOLD=$G(^DPT(DFN,.35))
-	I $D(^DPT(DFN,.1)) W !?3,"Patient is currently in-house.  Discharge him with a discharge type of DEATH." G GET
-	I $S($D(^DPT(DFN,.35)):^(.35),1:"") F DGY=0:0 S DGY=$O(^DGPM("ATID1",DFN,DGY)) Q:'DGY  S DGDA=$O(^(DGY,0)) I $D(^DGPM(+DGDA,0)),$P(^(0),"^",17)]"" S DGXX=$P(^(0),"^",17),DGXX=^DGPM(DGXX,0) I "^12^38^"[("^"_$P(DGXX,"^",18)_"^") G DIS
-	D NOW^%DTC S DGNOW=%
-	S ^TMP("DEATH",$J)=1
-	K A W ! S DIE=DIC,DR=".351" D ^DIE
-	I '$D(^DPT(DFN,.35)) K ^TMP("DEATH",$J) G GET
-	S DGDNEW=^DPT(DFN,.35)
-	I $P(DGDNEW,"^",1)="",$P(DGDNEW,"^",2)'="" S DR=".352////@" D ^DIE
-	I $P(DGDNEW,"^",1)="" K ^TMP("DEATH",$J) G GET
-SN	I $P(DGDNEW,"^",1)'="" S DR=".353" D ^DIE I $P($G(^DPT(DFN,.35)),"^",3)']"" D SNDISP G SN
-	I DGDOLD'=DGDNEW D DISCHRGE
-	I $P(DGDOLD,"^",1)'=$P(DGDNEW,"^",1) D XFR
-	K ^TMP("DEATH",$J) G GET
-	;
-DIS	W !,"Patient has a discharge type of Death",!,"Edit the discharge",!
-Q	K A,DA,DFN,DGDA,DIC,DIE,DR,DGXX,DGY,DGDTHEN,DGDOLD,DGDNEW,DGDONOT Q
-XFR	; called from set x-ref of field .351 of file 2
-	N DGPCMM,DGFAPT,DGFAPTI,DGFAPT1
-	Q:'$D(DFN)
-	K DGTEXT D ^DGPATV S DGDEATH=$$GET1^DIQ(2,DFN,.351,"I"),XMSUB="PATIENT HAS EXPIRED",DGCT=0
-	D DEMOG
-	S DGT=X-.0001,(Y,DGDDT)=X,DG1="" D:DGT]"" ^DGPMSTAT
-	S Y=$$FMTE^XLFDT(Y),Y=$S(Y]"":Y,1:"UNKNOWN")
-	S DGDONOT=0 D APTT3
-	D LINE("")
-	D LINE("      Date/Time of Death: "_DEATHVAL_$S(DGDONOT:"",'DG1:"",$D(DGDTHEN):"",1:"  (While an inpatient)"))
-	D LINE("")
-	I '$D(ADM),DG1,$D(^DGPM(+DGA1,0)) S ADM=+^DGPM($P(^(0),"^",14),0)
-	S Y=$$FMTE^XLFDT($S($D(ADM):ADM,1:""))
-	D LINE($S($D(DGDTHEN):"",DG1:"     Admission Date/Time: "_Y_$S((DGDDT-ADM)<1:"  (Within 24 hours of hospitalization)",1:""),1:""))
-	D LINE("")
-	S DGX=$P($G(^DGPM(+$G(DGA1),0)),"^",6),DGX=$P($G(^DIC(42,+DGX,0)),U,1)
-	D LINE($S($D(DGDTHEN):"",('DG1):"",$D(DGA1):"             Admitted To: "_$S(DGX]"":DGX,1:"UNKNOWN"),1:"")) K DGX
-	D LINE("")
-	I DG1&'$D(DGDTHEN) D 
-	. D LINE($S($D(DGXFR0):"           Last Transfer: "_$S($D(^DIC(42,+$P(DGXFR0,"^",6),0)):$P(^(0),"^"),1:"UNKNOWN"),1:""))
-	. D LINE("")
-F	N DGARRAY,SDCNT S DGFAPT=DGDEATH,DGFAPTI=""
-	S DGARRAY("FLDS")=3,DGARRAY(4)=DFN,DGARRAY("SORT")="P",DGARRAY(1)=DT,DGARRAY(3)="I;R"
-	S SDCNT=$$SDAPI^SDAMA301(.DGARRAY)
-	;
-	I SDCNT>0 F  S DGFAPT=$O(^TMP($J,"SDAMA301",DFN,DGFAPT)) Q:'DGFAPT  S DGFAPT1=$G(^TMP($J,"SDAMA301",DFN,DGFAPT)) Q:DGFAPT1']""  D  Q:DGFAPTI
-	.I $P($P(DGFAPT1,U,3),";")'["C" D LINE("NOTE: Patient has future appointments scheduled!!") S DGFAPTI=1
-	S DGSCHAD=0 D SA I DGSCHAD D LINE("NOTE: Patient had scheduled admissions which have been cancelled!!")
-	I 'DGVETS D LINE("Patient is a NON-VETERAN."_$S($D(^DIC(21,+$P($G(^DPT(DFN,.32)),"^",3),0)):"  ["_$P(^(0),"^",1)_"]",1:""))
-	S DGPCMM=$$PCMMXMY^SCAPMC25(1,DFN,,,0) ;creates xmy array
-	S DGCT=$$PCMAIL^SCMCMM(DFN,"DGTEXT",DT)
-Q1	S DGB=1 D ^DGBUL S X=DGDEATH
-	K DGDEATH,DGSCHAD,DGI,Y,DGDDT,^TMP($J,"SDAMA301") D KILL^DGPATV K ADM,DG1,DGA1,DGCT,DGT,DGXX,DGY,Z Q
-SA	F DGI=0:0 S DGI=$O(^DGS(41.1,"B",DFN,DGI)) Q:'DGI  I $D(^DGS(41.1,DGI,0)),($P(^(0),"^",13)']""),($P(^(0),"^",17)']"") S $P(^(0),"^",13)=DGDEATH,$P(^(0),"^",14)=+DUZ,$P(^(0),"^",15)=1,$P(^(0),"^",16)=2,DGSCHAD=1
-	Q
-	;
-DEL	; delete death bulletin
-	N DGPCMM,DELBY,DELTM,DTHINFO
-	S DFN=+$G(DA) I '$D(^DPT(DFN,0)) Q  ; no patient node
-	I +$G(^DPT(DFN,.35)) Q  ; not deletion
-	S DGDEATH=X,XMSUB="Patient Death has been Deleted",DGCT=0
-	D ^DGPATV
-	D LINE("The date of death for the following patient has been deleted.")
-	D LINE("")
-	D DEMOG
-	D LINE("")
-	S DGPCMM=$$PCMMXMY^SCAPMC25(1,DFN,,,0) ;creates xmy array
-	S DGCT=$$PCMAIL^SCMCMM(DFN,"DGTEXT",DT)
-	S DGB=1 D ^DGBUL S X=DGDEATH
-	K DGCT,DGDEATH D KILL^DGPATV
-	Q
-	;
-DEMOG	; list main demographics
-	D LINE("                    NAME: "_DGNAME)
-	D LINE("                     SSN: "_$P(SSN,"^",2))
-	D LINE("                     DOB: "_$P(DOB,"^",2))
-	I DGVETS D
-	. N DGX
-	. S DGX=$G(^DPT(DFN,.31))
-	. S DGLOCATN=$$FIND1^DIC(4,"","MX","`"_+$P(DGX,U,4)),DGLOCATN=$S(+DGLOCATN>0:$P($$NS^XUAF4(DGLOCATN),U),1:"NOT LISTED")
-	. D LINE("   CLAIM FOLDER LOCATION: "_$S($D(DGLOCATN):DGLOCATN,1:"NOT LISTED"))
-	. D LINE("            CLAIM NUMBER: "_$S($P(DGX,"^",3)]"":$P(DGX,"^",3),1:"NOT LISTED"))
-	D LINE("   COORDINATING MASTER OF RECORD: "_DGCMOR)
-	D GETS^DIQ(2,DFN_",",".351;.353;.354;.355","E","DTHINFO")
-	S DEATHVAL=$G(DTHINFO(2,DFN_",",.351,"E"))
-	S DEATHVAL=$$FMTE^XLFDT(DEATHVAL),DEATHVAL=$S(DEATHVAL]"":DEATHVAL,1:"UNKNOWN")
-	S SOURCE=$G(DTHINFO(2,DFN_",",.353,"E"))
-	S DELTM=$G(DTHINFO(2,DFN_",",.354,"E"))
-	S DELBY=$G(DTHINFO(2,DFN_",",.355,"E"))
-	D LINE("")
-	D LINE("             LAST EDITED BY: "_DELBY)
-	D LINE("    DATE/TIME LAST MODIFIED: "_DELTM)
-	D LINE("     SOURCE OF NOTIFICATION: "_$S(SOURCE="":"UNDEFINED",1:SOURCE))
-	;K DEATHVAL,SOURCE,DELTM,DELBY
-	Q
-	;
-LINE(X)	; add line contained in X to array
-	S DGCT=DGCT+1
-	S DGTEXT(DGCT,0)=X
-	Q
-DSBULL	;
-	;
-	I $G(IVMDODUP)=1 Q
-	S DFN=DA
-	I $D(DGPMDA) D  Q
-	.S DISTYPE=$P($G(^DGPM(DGPMDA,0)),"^",18)
-	.I $G(^DG(405.2,DISTYPE,0))["DEATH" D
-	..S FDA(2,DFN_",",.353)=1 D FILE^DIE(,"FDA","BWFERR")
-	..D DISCHRGE,XFR
-	I $D(^TMP("DEATH",$J)) Q
-	D DISCHRGE,XFR
-	Q
-DKBULL	;
-	S DFN=DA
-	S FDA(2,DFN_",",.353)="@"
-	I $D(^TMP("DEATH",$J)) S FDA(2,DFN_",",.355)=DUZ
-	D FILE^DIE(,"FDA",)
-	D DEL
-	Q
-DISCHRGE	;
-	; If the patient is being discharged, determine values needed for 
-	; Source of Notification and Date/Time last entered.
-	;
-	I '$D(DGNOW) S DGNOW=$$HTFM^XLFDT($H)
-	I $G(DGDAUTO)'=1 S FDA(2,DFN_",",.354)=DGNOW
-	S FDA(2,DFN_",",.355)=DUZ
-	D FILE^DIE(,"FDA",)
-	Q
-APTT3	;Check to exclude "While an Inpatient" from DOD Bulletin
-	; Input:  DFN  Output: DGDONOT
-	N DATE,XIEN,TYPE,XDOD,YES
-	S DGDONOT=0
-	S XDOD=$P($G(^DPT(DFN,.35)),"^",1) I 'XDOD Q
-	S XDOD=$P(XDOD,".",1),YES=0,TYPE=""
-	I '$D(^DGPM("APTT3",DFN)) Q
-	S DATE=$O(^DGPM("APTT3",DFN,XDOD)) I 'DATE Q
-	I $P(DATE,".",1)=XDOD S YES=1
-	I ($P(DATE,".",1)-1)=XDOD S YES=1
-	S XIEN=$O(^DGPM("APTT3",DFN,DATE,"")) I 'XIEN Q
-	S TYPE=$P($G(^DGPM(XIEN,0)),"^",4)
-	I YES,'((TYPE=27)!(TYPE=32)) S DGDONOT=1
-	Q
-SNDISP	; Source of Notification display choices
-	N DIR,DTOUT,DUOUT,DIRUT,DIROUT,DGLIST,DGLNAME,I,X,Y
-	S DGLIST=$P($G(^DD(2,.353,0)),"^",3)
-	S Y=6
-	S DIR("?",1)=" "
-	S DIR("?",2)=" This is a required response. Please select from the following:"
-	S DIR("?",3)=" Entering '^' will take you back to the Source of Notification prompt"
-	S DIR("?",4)=" "
-	S DIR("?",5)=" "
-	F X=1:1 S DGLNAME=$P(DGLIST,";",X) Q:DGLNAME']""  S DIR("?",Y)="      "_$P(DGLNAME,":",1)_"      "_$P(DGLNAME,":",2) S Y=Y+1
-	S DIR("?",Y)=" "
-	F I=1:1 Q:'$D(DIR("?",I))  W !,DIR("?",I)
-	Q
+DGDEATH ;ALB/MRL/PJR-PROCESS DECEASED PATIENTS ; 10/27/04 9:45pm
+ ;;5.3;Registration;**45,84,101,149,392,545,595,568,563,725**;Aug 13, 1993;Build 12
+ ;
+GET N DGMTI,DATA
+ S DGDTHEN="" W !! S DIC="^DPT(",DIC(0)="AEQMZ" D ^DIC G Q:Y'>0 S (DA,DFN)=+Y
+ S DGDOLD=$G(^DPT(DFN,.35))
+ I $D(^DPT(DFN,.1)) W !?3,"Patient is currently in-house.  Discharge him with a discharge type of DEATH." G GET
+ I $S($D(^DPT(DFN,.35)):^(.35),1:"") F DGY=0:0 S DGY=$O(^DGPM("ATID1",DFN,DGY)) Q:'DGY  S DGDA=$O(^(DGY,0)) I $D(^DGPM(+DGDA,0)),$P(^(0),"^",17)]"" S DGXX=$P(^(0),"^",17),DGXX=^DGPM(DGXX,0) I "^12^38^"[("^"_$P(DGXX,"^",18)_"^") G DIS
+ D NOW^%DTC S DGNOW=%
+ S ^TMP("DEATH",$J)=1
+ K A W ! S DIE=DIC,DR=".351" D ^DIE
+ I '$D(^DPT(DFN,.35)) K ^TMP("DEATH",$J) G GET
+ S DGDNEW=^DPT(DFN,.35)
+ I $P(DGDNEW,"^",1)="",$P(DGDNEW,"^",2)'="" S DR=".352////@" D ^DIE
+ I $P(DGDNEW,"^",1)="" K ^TMP("DEATH",$J) G GET
+ I $P(DGDNEW,"^",1)'="" S DR=".353" D ^DIE
+ I DGDOLD'=DGDNEW D DISCHRGE
+ I $P(DGDOLD,"^",1)'=$P(DGDNEW,"^",1) D XFR
+ K ^TMP("DEATH",$J) G GET
+ ;
+DIS W !,"Patient has a discharge type of Death",!,"Edit the discharge",!
+Q K A,DA,DFN,DGDA,DIC,DIE,DR,DGXX,DGY,DGDTHEN,DGDOLD,DGDNEW,DGDONOT Q
+XFR ; called from set x-ref of field .351 of file 2
+ N DGPCMM,DGFAPT,DGFAPTI,DGFAPT1
+ Q:'$D(DFN)
+ K DGTEXT D ^DGPATV S DGDEATH=$$GET1^DIQ(2,DFN,.351,"I"),XMSUB="PATIENT HAS EXPIRED",DGCT=0
+ D DEMOG
+ S DGT=X-.0001,(Y,DGDDT)=X,DG1="" D:DGT]"" ^DGPMSTAT
+ S Y=$$FMTE^XLFDT(Y),Y=$S(Y]"":Y,1:"UNKNOWN")
+ S DGDONOT=0 D APTT3
+ D LINE("")
+ D LINE("      Date/Time of Death: "_DEATHVAL_$S(DGDONOT:"",'DG1:"",$D(DGDTHEN):"",1:"  (While an inpatient)"))
+ D LINE("")
+ I '$D(ADM),DG1,$D(^DGPM(+DGA1,0)) S ADM=+^DGPM($P(^(0),"^",14),0)
+ S Y=$$FMTE^XLFDT($S($D(ADM):ADM,1:""))
+ D LINE($S($D(DGDTHEN):"",DG1:"     Admission Date/Time: "_Y_$S((DGDDT-ADM)<1:"  (Within 24 hours of hospitalization)",1:""),1:""))
+ D LINE("")
+ S DGX=$P($G(^DGPM(+$G(DGA1),0)),"^",6),DGX=$P($G(^DIC(42,+DGX,0)),U,1)
+ D LINE($S($D(DGDTHEN):"",('DG1):"",$D(DGA1):"             Admitted To: "_$S(DGX]"":DGX,1:"UNKNOWN"),1:"")) K DGX
+ D LINE("")
+ I DG1&'$D(DGDTHEN) D 
+ . D LINE($S($D(DGXFR0):"           Last Transfer: "_$S($D(^DIC(42,+$P(DGXFR0,"^",6),0)):$P(^(0),"^"),1:"UNKNOWN"),1:""))
+ . D LINE("")
+F N DGARRAY,SDCNT S DGFAPT=DGDEATH,DGFAPTI=""
+ S DGARRAY("FLDS")=3,DGARRAY(4)=DFN,DGARRAY("SORT")="P",DGARRAY(1)=DT,DGARRAY(3)="I;R"
+ S SDCNT=$$SDAPI^SDAMA301(.DGARRAY)
+ ;
+ I SDCNT>0 F  S DGFAPT=$O(^TMP($J,"SDAMA301",DFN,DGFAPT)) Q:'DGFAPT  S DGFAPT1=$G(^TMP($J,"SDAMA301",DFN,DGFAPT)) Q:DGFAPT1']""  D  Q:DGFAPTI
+ .I $P($P(DGFAPT1,U,3),";")'["C" D LINE("NOTE: Patient has future appointments scheduled!!") S DGFAPTI=1
+ S DGSCHAD=0 D SA I DGSCHAD D LINE("NOTE: Patient had scheduled admissions which have been cancelled!!")
+ I 'DGVETS D LINE("Patient is a NON-VETERAN."_$S($D(^DIC(21,+$P($G(^DPT(DFN,.32)),"^",3),0)):"  ["_$P(^(0),"^",1)_"]",1:""))
+ S DGPCMM=$$PCMMXMY^SCAPMC25(1,DFN,,,0) ;creates xmy array
+ S DGCT=$$PCMAIL^SCMCMM(DFN,"DGTEXT",DT)
+Q1 S DGB=1 D ^DGBUL S X=DGDEATH
+ K DGDEATH,DGSCHAD,DGI,Y,DGDDT,^TMP($J,"SDAMA301") D KILL^DGPATV K ADM,DG1,DGA1,DGCT,DGT,DGXX,DGY,Z Q
+SA F DGI=0:0 S DGI=$O(^DGS(41.1,"B",DFN,DGI)) Q:'DGI  I $D(^DGS(41.1,DGI,0)),($P(^(0),"^",13)']""),($P(^(0),"^",17)']"") S $P(^(0),"^",13)=DGDEATH,$P(^(0),"^",14)=+DUZ,$P(^(0),"^",15)=1,$P(^(0),"^",16)=2,DGSCHAD=1
+ Q
+ ;
+DEL ; delete death bulletin
+ N DGPCMM,DELBY,DELTM,DTHINFO
+ S DFN=+$G(DA) I '$D(^DPT(DFN,0)) Q  ; no patient node
+ I +$G(^DPT(DFN,.35)) Q  ; not deletion
+ S DGDEATH=X,XMSUB="Patient Death has been Deleted",DGCT=0
+ D ^DGPATV
+ D LINE("The date of death for the following patient has been deleted.")
+ D LINE("")
+ D DEMOG
+ D LINE("")
+ S DGPCMM=$$PCMMXMY^SCAPMC25(1,DFN,,,0) ;creates xmy array
+ S DGCT=$$PCMAIL^SCMCMM(DFN,"DGTEXT",DT)
+ S DGB=1 D ^DGBUL S X=DGDEATH
+ K DGCT,DGDEATH D KILL^DGPATV
+ Q
+ ;
+DEMOG ; list main demographics
+ D LINE("                    NAME: "_DGNAME)
+ D LINE("                     SSN: "_$P(SSN,"^",2))
+ D LINE("                     DOB: "_$P(DOB,"^",2))
+ I DGVETS D
+ . N DGX
+ . S DGX=$G(^DPT(DFN,.31))
+ . S DGLOCATN=$$FIND1^DIC(4,"","MX","`"_+$P(DGX,U,4)),DGLOCATN=$S(+DGLOCATN>0:$P($$NS^XUAF4(DGLOCATN),U),1:"NOT LISTED")
+ . D LINE("   CLAIM FOLDER LOCATION: "_$S($D(DGLOCATN):DGLOCATN,1:"NOT LISTED"))
+ . D LINE("            CLAIM NUMBER: "_$S($P(DGX,"^",3)]"":$P(DGX,"^",3),1:"NOT LISTED"))
+ D LINE("   COORDINATING MASTER OF RECORD: "_DGCMOR)
+ D GETS^DIQ(2,DFN_",",".351;.353;.354;.355","E","DTHINFO")
+ S DEATHVAL=$G(DTHINFO(2,DFN_",",.351,"E"))
+ S DEATHVAL=$$FMTE^XLFDT(DEATHVAL),DEATHVAL=$S(DEATHVAL]"":DEATHVAL,1:"UNKNOWN")
+ S SOURCE=$G(DTHINFO(2,DFN_",",.353,"E"))
+ S DELTM=$G(DTHINFO(2,DFN_",",.354,"E"))
+ S DELBY=$G(DTHINFO(2,DFN_",",.355,"E"))
+ D LINE("")
+ D LINE("             LAST EDITED BY: "_DELBY)
+ D LINE("    DATE/TIME LAST MODIFIED: "_DELTM)
+ D LINE("     SOURCE OF NOTIFICATION: "_$S(SOURCE="":"UNDEFINED",1:SOURCE))
+ ;K DEATHVAL,SOURCE,DELTM,DELBY
+ Q
+ ;
+LINE(X) ; add line contained in X to array
+ S DGCT=DGCT+1
+ S DGTEXT(DGCT,0)=X
+ Q
+DSBULL ;
+ ;
+ I $G(IVMDODUP)=1 Q
+ S DFN=DA
+ I $D(DGPMDA) D  Q
+ .S DISTYPE=$P($G(^DGPM(DGPMDA,0)),"^",18)
+ .I $G(^DG(405.2,DISTYPE,0))["DEATH" D
+ ..S FDA(2,DFN_",",.353)=1 D FILE^DIE(,"FDA","BWFERR")
+ ..D DISCHRGE,XFR
+ I $D(^TMP("DEATH",$J)) Q
+ D DISCHRGE,XFR
+ Q
+DKBULL ;
+ S DFN=DA
+ S FDA(2,DFN_",",.353)="@"
+ I $D(^TMP("DEATH",$J)) S FDA(2,DFN_",",.355)=DUZ
+ D FILE^DIE(,"FDA",)
+ D DEL
+ Q
+DISCHRGE ;
+ ; If the patient is being discharged, determine values needed for 
+ ; Source of Notification and Date/Time last entered.
+ ;
+ I '$D(DGNOW) S DGNOW=$$HTFM^XLFDT($H)
+ I $G(DGDAUTO)'=1 S FDA(2,DFN_",",.354)=DGNOW
+ S FDA(2,DFN_",",.355)=DUZ
+ D FILE^DIE(,"FDA",)
+ Q
+APTT3 ;Check to exclude "While an Inpatient" from DOD Bulletin
+ ; Input:  DFN  Output: DGDONOT
+ N DATE,XIEN,TYPE,XDOD,YES
+ S DGDONOT=0
+ S XDOD=$P($G(^DPT(DFN,.35)),"^",1) I 'XDOD Q
+ S XDOD=$P(XDOD,".",1),YES=0,TYPE=""
+ I '$D(^DGPM("APTT3",DFN)) Q
+ S DATE=$O(^DGPM("APTT3",DFN,XDOD)) I 'DATE Q
+ I $P(DATE,".",1)=XDOD S YES=1
+ I ($P(DATE,".",1)-1)=XDOD S YES=1
+ S XIEN=$O(^DGPM("APTT3",DFN,DATE,"")) I 'XIEN Q
+ S TYPE=$P($G(^DGPM(XIEN,0)),"^",4)
+ I YES,'((TYPE=27)!(TYPE=32)) S DGDONOT=1
+ Q
Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGENA2.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGENA2.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGENA2.m	(revision 623)
@@ -1,174 +1,134 @@
-DGENA2	;ALB/CJM,RTK,TDM - Enrollment API - Automatic Update; 9/19/2002 ; 1/31/03 11:54am
-	;;5.3;Registration;**121,122,147,232,327,469,491,779**;Aug 13,1993;Build 11
-	;
-AUTOUPD(DFN,EVENT)	;
-	;Description: If the patient meets the criteria for transmission to HEC,
-	;   he is entered to the IVM PATIENT file for future transmission.
-	;   This procedure checks for changes in enrollment priority,
-	;   status and fields in the eligibility sub-record. If any changes are
-	;   found, the current enrollment record is automatically updated.
-	;Input:
-	;  DFN - Patient IEN
-	;  EVENT - Event Type (optional)
-	;          EVENT 1 : Date of Death Deleted
-	;          EVENT 2 : Ineligible Date Deleted
-	;Output: None
-	;
-	;if the eligibility/enrollment upload is in progess, do not do anything
-	Q:($G(DGENUPLD)="ENROLLMENT/ELIGIBILITY UPLOAD IN PROGRESS")
-	;
-	; If the INCOME TEST DATA (Z10) upload is in progess, do not do anything
-	Q:($G(IVMZ10)="UPLOAD IN PROGRESS")
-	;
-	N DGENRIEN,DGENR1,DGENR2,STATUS,EFFDATE,OK,DEATH
-	;
-	;try to prevent problems rsulting from calling FM within FM
-	N DS,D0,DO,D1,DA,DD,DS,DG,DIC,DICR,DIE,DIG,DIH,DIV,DIW,DIX,DQ,DR
-	;
-	S EVENT=+$G(EVENT)
-	;
-	D EVENT^IVMPLOG(DFN)
-	;
-	D:$$LOCK^DGENA1($G(DFN))  ;may drop out of block
-	.S DGENRIEN=$$FINDCUR^DGENA(DFN)
-	.Q:'DGENRIEN
-	.Q:'$$GET^DGENA(DGENRIEN,.DGENR1)
-	.S STATUS=$$EXT^DGENU("STATUS",DGENR1("STATUS"))
-	.S (DEATH,EFFDATE)=$$DEATH^DGENPTA(DFN)
-	.I STATUS'="VERIFIED",STATUS'="UNVERIFIED",STATUS'="DECEASED",STATUS'["NOT ELIGIBLE",STATUS'["PENDING",STATUS'["REJECTED" Q
-	.I STATUS="DECEASED",((EVENT'=1)!(DEATH)) Q
-	.I STATUS["NOT ELIGIBLE",((EVENT'=2)!('$$VET^DGENPTA(DFN))) Q
-	.S:'EFFDATE EFFDATE=DT
-	.Q:'$$CREATE^DGENA6(DFN,DGENR1("APP"),EFFDATE,DGENR1("REASON"),DGENR1("REMARKS"),.DGENR2,DGENR1("DATE"),DGENR1("END"))
-	.S OK=1
-	.S:(DGENR1("PRIORITY")'=DGENR2("PRIORITY"))!(DGENR2("STATUS")'=DGENR1("STATUS")) OK=0
-	.I OK D
-	..N SUB
-	..S SUB=""
-	..F  S SUB=$O(DGENR2("ELIG",SUB)) Q:SUB=""  S:(DGENR1("ELIG",SUB)'=DGENR2("ELIG",SUB)) OK=0
-	.I 'OK D
-	..I (DGENR1("EFFDATE")=DGENR2("EFFDATE")),(DGENR1("SOURCE")=DGENR2("SOURCE")),(DGENR1("USER")=DGENR2("USER")),(DGENR1("DATETIME")\1)=(DGENR2("DATETIME")\1) D
-	...;in this case it's an overlay
-	...S DGENR2("PRIORREC")=DGENR1("PRIORREC")
-	...I $$EDITCUR^DGENA1(.DGENR2)
-	..E  D
-	...;in this case create a new record, to preserve the audit trail
-	...I $$STORECUR^DGENA1(.DGENR2)
-	D UNLOCK^DGENA1($G(DFN))
-	Q
-MTUPD	;
-	;Description - entry point for Means Test Event Driver for Enrollment
-	;
-	D AUTOUPD($G(DFN))
-	Q
-	;
-SDDIS	;Entry point for the DGEN SD DISPLAY CURRENT ENROLLMENT protocol,
-	;which hangs of the Scheduling Event Driver
-	;
-	N DFN S DFN=$P($G(SDATA),"^",2)
-	;
-	;don't display if running in the background
-	Q:$D(ZTQUEUED)
-	;
-	;don't want to display enrollment for non-vets with no enrollment status
-	Q:('$$VET^DGENPTA(DFN))&('$$STATUS^DGENA(DFN))
-	;
-	;if making an appt., & in interactive mode, display enrollment status
-	I ($G(SDAMEVT)=1),$G(SDMODE)=0 D
-	.D DISPLAY^DGENU($P($G(SDATA),"^",2))
-	.D PAUSE^VALM1
-	;
-	;want to do the same thing for check-in, unless appt just made
-	I ($G(SDAMEVT)=4),$G(SDMODE)=0 D
-	.;want to try avoiding giving display if it was done already
-	.;so, if it is an unscheduled appt made today, skip
-	.N PTNODE,SCNODE
-	.S SCNODE=$G(^TMP("SDAMEVT",$J,"AFTER","SC"))
-	.S PTNODE=$G(^TMP("SDAMEVT",$J,"AFTER","DPT"))
-	.I +$P(SCNODE,"^",7)=$G(DT),$P(PTNODE,"^",7)=4 Q  ;unscheduled appt made today
-	.D DISPLAY^DGENU($P($G(SDATA),"^",2))
-	.D PAUSE^VALM1
-	Q
-	;
-ENROLL	;Entry point for the DGEN SD ENROLL PATIENT protocol, which hangs of
-	;the Scheduling Event Driver. This event enrolls patients upon check-out
-	;if there is no prior enrollment record.
-	;
-	; Input  -- SDATA & SDAMEVT defined by the scheduling event driver
-	; Output -- none
-	;
-	N DGENR,DFN
-	;
-	;NOTE - it appears from testing that means test status REQUIRED is set
-	;within scheduling, obviating the need to do it here.  This is why
-	;several lines are commented out.
-	;
-	;N DGENR,DGOKF,DGREQF,DFN,DGMSGF,DG,DGMT,DGMTCOR,DGMTE,DGRGAUTO,DGWRT,XMZ,DIG,DIH
-	;
-	;appointment made, check if enrollment appointment request needs reset.
-	I $G(SDAMEVT)=1 D REQUST(SDAMEVT,SDATA)
-	;check-out?
-	Q:($G(SDAMEVT)'=5)
-	;
-	S DFN=$P($G(SDATA),"^",2)
-	;
-	;don't enroll if the patient has an enrollment record
-	I $$FINDCUR^DGENA(DFN) D REQUST(SDAMEVT,SDATA) Q
-	;
-	;non-vet?
-	Q:'$$VET^DGENPTA(DFN)
-	;
-	;dead?
-	Q:$$DEATH^DGENPTA(DFN)
-	;
-	;Does patient require a Means Test?
-	;S DGMSGF=1
-	;D EN^DGMTR
-	;
-	;Create local enrollment array
-	I $$CREATE^DGENA6(DFN,DT,,,,.DGENR) D
-	. ;
-	. ;Store local enrollment as current
-	. I $$STORECUR^DGENA1(.DGENR) D
-	. . D REQUST(SDAMEVT,SDATA)
-	. . ;
-	. . ;If patient's means test status is required, send bulletin
-	. . ;I $$MTREQ^DGEN(DFN) D MTBULL^DGEN(DFN,.DGENR)
-	Q
-	;
-REQUST(SDAMEVT,SDATA)	;
-	;Automatic collection of Appointment Request Date and Appointment
-	;Request Response
-	;- Set when Enrollment Application Date >= 8/1/2005 AND
-	;-     Appointment Request Date is null. 
-	;
-	; Input  -- SDATA and SDAMEVT defined by scheduling event driver
-	; Output -- none
-	;
-	N DGENRIEN,DGENR,DPTERR,DGCOM
-	;apointment made or checked out?
-	Q:(($G(SDAMEVT)'=1)&($G(SDAMEVT)'=5))
-	;
-	S DFN=$P($G(SDATA),"^",2)
-	;get enrollment ien
-	S DGENRIEN=$$FINDCUR^DGENA(DFN)
-	I DGENRIEN,$$GET^DGENA(DGENRIEN,.DGENR) ;set-up enrollment array
-	I $G(DGENR("APP"))>3050731 D
-	. ;and, no appointment request date. Set request="yes", request date 
-	. I '$$GET1^DIQ(2,DFN,1010.1511,"I") D
-	. . ;set fields
-	. . N FDATA
-	. . S FDATA(2,DFN_",",1010.159)=1
-	. . S FDATA(2,DFN_",",1010.1511)=DT
-	. . D FILE^DIE("","FDATA","DPTERR")
-	. ;if appointment made (or checkout), appt. request="yes", request status'="filled"
-	. ;- set request status='filled' w comment
-	. I ($$GET1^DIQ(2,DFN,1010.159,"I")),($$GET1^DIQ(2,DFN,1010.161,"I")'="F") D
-	. . ;set fields
-	. . N FDATA
-	. . S FDATA(2,DFN_",",1010.161)="F"
-	. . S DGCOM=$$GET1^DIQ(2,DFN,1010.163)
-	. . S DGCOM=DGCOM_$S(DGCOM'="":"<>",1:"")_"AutoComm:"_$S($$GET1^DIQ(2,DFN,1010.161,"I")="":"null",1:$S($$GET1^DIQ(2,DFN,1010.161,"I")="I":"IN PROGRESS",1:$$GET1^DIQ(2,DFN,1010.161)))_"|FILLED by Scheduling"
-	. . S FDATA(2,DFN_",",1010.163)=DGCOM
-	. . D FILE^DIE("","FDATA","DPTERR")
-	Q
+DGENA2 ;ALB/CJM,RTK,TDM - Enrollment API - Automatic Update; 9/19/2002 ; 1/31/03 11:54am
+ ;;5.3;Registration;**121,122,147,232,327,469,491**;Aug 13,1993
+ ;
+AUTOUPD(DFN,EVENT) ;
+ ;Description: If the patient meets the criteria for transmission to HEC,
+ ;   he is entered to the IVM PATIENT file for future transmission.
+ ;   This procedure checks for changes in enrollment priority,
+ ;   status and fields in the eligibility sub-record. If any changes are
+ ;   found, the current enrollment record is automatically updated.
+ ;Input:
+ ;  DFN - Patient IEN
+ ;  EVENT - Event Type (optional)
+ ;          EVENT 1 : Date of Death Deleted
+ ;          EVENT 2 : Ineligible Date Deleted
+ ;Output: None
+ ;
+ ;if the eligibility/enrollment upload is in progess, do not do anything
+ Q:($G(DGENUPLD)="ENROLLMENT/ELIGIBILITY UPLOAD IN PROGRESS")
+ ;
+ ; If the INCOME TEST DATA (Z10) upload is in progess, do not do anything
+ Q:($G(IVMZ10)="UPLOAD IN PROGRESS")
+ ;
+ N DGENRIEN,DGENR1,DGENR2,STATUS,EFFDATE,OK,DEATH
+ ;
+ ;try to prevent problems rsulting from calling FM within FM
+ N DS,D0,DO,D1,DA,DD,DS,DG,DIC,DICR,DIE,DIG,DIH,DIV,DIW,DIX,DQ,DR
+ ;
+ S EVENT=+$G(EVENT)
+ ;
+ D EVENT^IVMPLOG(DFN)
+ ;
+ D:$$LOCK^DGENA1($G(DFN))  ;may drop out of block
+ .S DGENRIEN=$$FINDCUR^DGENA(DFN)
+ .Q:'DGENRIEN
+ .Q:'$$GET^DGENA(DGENRIEN,.DGENR1)
+ .S STATUS=$$EXT^DGENU("STATUS",DGENR1("STATUS"))
+ .S (DEATH,EFFDATE)=$$DEATH^DGENPTA(DFN)
+ .I STATUS'="VERIFIED",STATUS'="UNVERIFIED",STATUS'="DECEASED",STATUS'["NOT ELIGIBLE",STATUS'["PENDING",STATUS'["REJECTED" Q
+ .I STATUS="DECEASED",((EVENT'=1)!(DEATH)) Q
+ .I STATUS["NOT ELIGIBLE",((EVENT'=2)!('$$VET^DGENPTA(DFN))) Q
+ .S:'EFFDATE EFFDATE=DT
+ .Q:'$$CREATE^DGENA6(DFN,DGENR1("APP"),EFFDATE,DGENR1("REASON"),DGENR1("REMARKS"),.DGENR2,DGENR1("DATE"),DGENR1("END"))
+ .S OK=1
+ .S:(DGENR1("PRIORITY")'=DGENR2("PRIORITY"))!(DGENR2("STATUS")'=DGENR1("STATUS")) OK=0
+ .I OK D
+ ..N SUB
+ ..S SUB=""
+ ..F  S SUB=$O(DGENR2("ELIG",SUB)) Q:SUB=""  S:(DGENR1("ELIG",SUB)'=DGENR2("ELIG",SUB)) OK=0
+ .I 'OK D
+ ..I (DGENR1("EFFDATE")=DGENR2("EFFDATE")),(DGENR1("SOURCE")=DGENR2("SOURCE")),(DGENR1("USER")=DGENR2("USER")),(DGENR1("DATETIME")\1)=(DGENR2("DATETIME")\1) D
+ ...;in this case it's an overlay
+ ...S DGENR2("PRIORREC")=DGENR1("PRIORREC")
+ ...I $$EDITCUR^DGENA1(.DGENR2)
+ ..E  D
+ ...;in this case create a new record, to preserve the audit trail
+ ...I $$STORECUR^DGENA1(.DGENR2)
+ D UNLOCK^DGENA1($G(DFN))
+ Q
+MTUPD ;
+ ;Description - entry point for Means Test Event Driver for Enrollment
+ ;
+ D AUTOUPD($G(DFN))
+ Q
+ ;
+SDDIS ;Entry point for the DGEN SD DISPLAY CURRENT ENROLLMENT protocol,
+ ;which hangs of the Scheduling Event Driver
+ ;
+ N DFN S DFN=$P($G(SDATA),"^",2)
+ ;
+ ;don't display if running in the background
+ Q:$D(ZTQUEUED)
+ ;
+ ;don't want to display enrollment for non-vets with no enrollment status
+ Q:('$$VET^DGENPTA(DFN))&('$$STATUS^DGENA(DFN))
+ ;
+ ;if making an appt., & in interactive mode, display enrollment status
+ I ($G(SDAMEVT)=1),$G(SDMODE)=0 D
+ .D DISPLAY^DGENU($P($G(SDATA),"^",2))
+ .D PAUSE^VALM1
+ ;
+ ;want to do the same thing for check-in, unless appt just made
+ I ($G(SDAMEVT)=4),$G(SDMODE)=0 D
+ .;want to try avoiding giving display if it was done already
+ .;so, if it is an unscheduled appt made today, skip
+ .N PTNODE,SCNODE
+ .S SCNODE=$G(^TMP("SDAMEVT",$J,"AFTER","SC"))
+ .S PTNODE=$G(^TMP("SDAMEVT",$J,"AFTER","DPT"))
+ .I +$P(SCNODE,"^",7)=$G(DT),$P(PTNODE,"^",7)=4 Q  ;unscheduled appt made today
+ .D DISPLAY^DGENU($P($G(SDATA),"^",2))
+ .D PAUSE^VALM1
+ Q
+ ;
+ENROLL ;Entry point for the DGEN SD ENROLL PATIENT protocol, which hangs of
+ ;the Scheduling Event Driver. This event enrolls patients upon check-out
+ ;if there is no prior enrollment record.
+ ;
+ ; Input  -- SDATA & SDAMEVT defined by the scheduling event driver
+ ; Output -- none
+ ;
+ N DGENR,DFN
+ ;
+ ;NOTE - it appears from testing that means test status REQUIRED is set
+ ;within scheduling, obviating the need to do it here.  This is why
+ ;several lines are commented out.
+ ;
+ ;N DGENR,DGOKF,DGREQF,DFN,DGMSGF,DG,DGMT,DGMTCOR,DGMTE,DGRGAUTO,DGWRT,XMZ,DIG,DIH
+ ;
+ ;check-out?
+ Q:($G(SDAMEVT)'=5)
+ ;
+ S DFN=$P($G(SDATA),"^",2)
+ ;
+ ;don't enroll if the patient has an enrollment record
+ Q:$$FINDCUR^DGENA(DFN)
+ ;
+ ;non-vet?
+ Q:'$$VET^DGENPTA(DFN)
+ ;
+ ;dead?
+ Q:$$DEATH^DGENPTA(DFN)
+ ;
+ ;Does patient require a Means Test?
+ ;S DGMSGF=1
+ ;D EN^DGMTR
+ ;
+ ;Create local enrollment array
+ I $$CREATE^DGENA6(DFN,DT,,,,.DGENR) D
+ . ;
+ . ;Store local enrollment as current
+ . I $$STORECUR^DGENA1(.DGENR) D
+ . . ;
+ . . ;If patient's means test status is required, send bulletin
+ . . ;I $$MTREQ^DGEN(DFN) D MTBULL^DGEN(DFN,.DGENR)
+ Q
Index: WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGENUPLB.m
===================================================================
--- WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGENUPLB.m	(revision 613)
+++ WorldVistAEHR/trunk/r/REGISTRATION-DGQE-DG-DPT-GRPX-VAD-VAF-VAS-VAT-VAU--VA-VIC--DGBT--DGJ--DGYA--VALM/DGENUPLB.m	(revision 623)
@@ -1,45 +1,82 @@
-DGENUPLB	;ALB/TDM - PROCESS INCOMING (Z11 EVENT TYPE) HL7 MESSAGES ; 11/14/07 3:02pm
-	;;5.3;REGISTRATION;**625,763**;Aug 13,1993;Build 9
-	;
-EP	N MSGARY
-	D CHECK
-	Q
-	;
-CHECK	;Check for Rated Disability Changes
-	Q:'$D(DGELG)
-	N RDOCC,TMPARY,RD,RDOCC1,RDOCC2,RDFLG,RDNOD
-	;
-	;Change in Rated Disabilities
-	I $D(OLDELG("RATEDIS")) D
-	.S RDOCC=0 F  S RDOCC=$O(OLDELG("RATEDIS",RDOCC)) Q:RDOCC=""  D
-	..S RD=$P(OLDELG("RATEDIS",RDOCC,"RD"),"^") Q:RD=""
-	..S TMPARY(RD)=RDOCC
-	;
-	I $D(DGELG("RATEDIS")) D
-	.S RDOCC=0 F  S RDOCC=$O(DGELG("RATEDIS",RDOCC)) Q:RDOCC=""  D
-	..S RD=$P(DGELG("RATEDIS",RDOCC,"RD"),"^") Q:RD=""
-	..S $P(TMPARY(RD),"^",2)=RDOCC
-	;
-	I $D(TMPARY) D
-	.S RD=""
-	.F  S RD=$O(TMPARY(RD)) Q:RD=""  D
-	..S RDOCC2=+$P(TMPARY(RD),"^",2) Q:'RDOCC2
-	..S RDOCC1=+$P(TMPARY(RD),"^")
-	..I 'RDOCC1 D STOR390 Q
-	..S RDFLG=0
-	..F RDNOD="RD","PER","RDSC","RDEXT","RDORIG","RDCURR" D  Q:RDFLG
-	...I $G(OLDELG("RATEDIS",RDOCC1,RDNOD))'=$G(DGELG("RATEDIS",RDOCC2,RDNOD)) D STOR390
-	Q
-	;
-STOR390	;Store Data in file# 390
-	S RDFLG=1
-	N DATA,DA
-	S DATA(.01)=$$NOW^XLFDT
-	S DATA(2)=DFN
-	S DATA(3)=DGELG("RATEDIS",RDOCC2,"RD")
-	S DATA(4)=DGELG("RATEDIS",RDOCC2,"PER")
-	S DATA(5)=DGELG("RATEDIS",RDOCC2,"RDEXT")
-	S DATA(6)=DGELG("RATEDIS",RDOCC2,"RDORIG")
-	S DATA(7)=DGELG("RATEDIS",RDOCC2,"RDCURR")
-	I '$$ADD^DGENDBS(390,,.DATA) S ERROR="FILEMAN FAILED TO ADD RATED DISABILITY UPLOAD AUDIT"
-	Q
+DGENUPLB ;TDM - PROCESS INCOMING (Z11 EVENT TYPE) HL7 MESSAGES ; 10/26/04 2:01pm
+ ;;5.3;REGISTRATION;**625**;Aug 13,1993
+ ;
+EP N MSGARY
+ D CHECK,SNDMSG
+ Q
+ ;
+CHECK ;Perform C&P and SC status checks and generate mailman messages
+ ;for MCCR eligibility & billing staff.
+ Q:'$D(OLDELG)
+ N RDOCC,TMPARY,RD,RDOCC1,RDOCC2,RDFLG
+ ;
+ ;Change in SC Indicator
+ I OLDELG("SC")'=DGELG("SC") D
+ .Q:(OLDELG("SC")="")&(DGELG("SC")="N")
+ .Q:(OLDELG("SC")="N")&(DGELG("SC")="")
+ .D ADDMSG^DGENUPL3(.MSGARY,"VETERAN SC INDICATOR CHANGED",1)
+ ;
+ ;SC% change to 50% or greater
+ I (OLDELG("SCPER")<50),(DGELG("SCPER")>49) D ADDMSG^DGENUPL3(.MSGARY,"VETERAN SC% CHANGED TO 50% OR GREATER",1)
+ ;
+ ;Change in VA Pension
+ I OLDELG("VAPEN")'=DGELG("VAPEN") D
+ .Q:(OLDELG("VAPEN")="")&(DGELG("VAPEN")="N")
+ .Q:(OLDELG("VAPEN")="N")&(DGELG("VAPEN")="")
+ .D ADDMSG^DGENUPL3(.MSGARY,"VETERAN VA PENSION CHANGED",1)
+ ;
+ ;Change in Rated Disabilities
+ I $D(OLDELG("RATEDIS")) D
+ .S RDOCC=0 F  S RDOCC=$O(OLDELG("RATEDIS",RDOCC)) Q:RDOCC=""  D
+ ..S RD=$P(OLDELG("RATEDIS",RDOCC,"RD"),"^") Q:RD=""
+ ..S TMPARY(RD)=RDOCC
+ ;
+ I $D(DGELG("RATEDIS")) D
+ .S RDOCC=0 F  S RDOCC=$O(DGELG("RATEDIS",RDOCC)) Q:RDOCC=""  D
+ ..S RD=$P(DGELG("RATEDIS",RDOCC,"RD"),"^") Q:RD=""
+ ..S $P(TMPARY(RD),"^",2)=RDOCC
+ ;
+ I $D(TMPARY) D
+ .S RD="",RDFLG=0
+ .F  S RD=$O(TMPARY(RD)) Q:RD=""  D
+ ..S RDOCC1=+$P(TMPARY(RD),"^"),RDOCC2=+$P(TMPARY(RD),"^",2)
+ ..I $G(OLDELG("RATEDIS",RDOCC1,"RD"))'=$G(DGELG("RATEDIS",RDOCC2,"RD")) S RDFLG=1
+ .I RDFLG D ADDMSG^DGENUPL3(.MSGARY,"VETERAN RATED DISABILITIES CHANGED",1)
+ Q
+ ;
+SNDMSG ;Description: Send messages generated above to the G.IB MEANS TEST
+ ;mail group.
+ ;
+ N TEXT,XMDUZ,XMTEXT,XMSUB,XMSTRIP,XMROU,XMY,XMZ,XMDF,COUNT
+ N HEADER,NSC,POW,TMPSTR,XMGROUP,ELIG,CD
+ ;
+ ;if there are no alerts, then quit
+ Q:'$D(MSGARY)
+ S HEADER="C&P Alert: ",XMDF="",(XMDUN,XMDUZ)="Registration Enrollment Module"
+ ;DGPAT("SSN") is built by the parser. DGPAT("NAME"),DGPAT("SEX"),DGPAT("DOB")(are merged into DGPAT from OLDPAT.
+ ;The checks below are to setup the DGPAT elements from OLDPAT if NOTIFY is called before the merge.
+ I '$D(DGPAT("NAME")) S DGPAT("NAME")=$G(OLDPAT("NAME"))
+ I '$D(DGPAT("SEX")) S DGPAT("SEX")=$G(OLDPAT("SEX"))
+ I '$D(DGPAT("DOB")) S DGPAT("DOB")=$G(OLDPAT("DOB"))
+ S TMPSTR=" ("_$E(DGPAT("NAME"),1,1)
+ S TMPSTR=TMPSTR_$E(DGPAT("SSN"),$L(DGPAT("SSN"))-3,1000)_")"
+ S XMSUB=HEADER_$E(DGPAT("NAME"),1,25)_TMPSTR
+ ;
+ ; send msg to mail group in IB SITE PARAMETERS (#350.9) file
+ S XMY("G.IB MEANS TEST")=""    ; Means Test billing Group
+ ;
+ S XMTEXT="TEXT("
+ S TEXT(1)="The enrollment/eligibility upload produced the following alerts:"
+ S TEXT(2)="  "
+ S TEXT(3)="Patient Name   :     "_DGPAT("NAME")
+ S TEXT(4)="SSN            :     "_DGPAT("SSN")
+ S TEXT(5)="DOB            :     "_$$EXTERNAL^DILFD(2,$$FIELD^DGENPTA1("DOB"),"F",DGPAT("DOB"))
+ S TEXT(6)="SEX            :     "_$$EXTERNAL^DILFD(2,$$FIELD^DGENPTA1("SEX"),"F",DGPAT("SEX"))
+ S TEXT(7)=" "
+ ;
+ S TEXT(8)=" ** Alerts **"
+ S TEXT(9)=" "
+ S COUNT=0 F  S COUNT=$O(MSGARY(COUNT)) Q:'COUNT  S TEXT(10+COUNT)=COUNT_") "_MSGARY(COUNT)
+ ;
+ D ^XMD
+ Q
